Overpass API developpement

Text archives Help


[overpass] Fwd: [drolbr/Overpass-API] Letsencrypt certificate not valid for www (#288)


Chronological Thread 
  • From: mmd <mmd.osm@gmail.com>
  • To: overpass@listes.openstreetmap.fr
  • Subject: [overpass] Fwd: [drolbr/Overpass-API] Letsencrypt certificate not valid for www (#288)
  • Date: Thu, 16 Jun 2016 18:54:16 +0200

Forwarding from Github, as https certificate issue might affect other
users as well. Guillaume also describes a workaround, see below.

FYI



-------- Weitergeleitete Nachricht --------
Betreff: [drolbr/Overpass-API] Letsencrypt certificate not valid for
www (#288)
Datum: Thu, 16 Jun 2016 02:09:00 -0700
Von: Guillaume Rischard <notifications@github.com>
Antwort an: drolbr/Overpass-API
<reply+00592745e28759795c9875f4697ab28c311f7b8eb9b2f8a592cf00000001137a2eac92a169ce0992c2e5@reply.github.com>
An: drolbr/Overpass-API <Overpass-API@noreply.github.com>



The TLS certificate for overpass-api.de was renewed yesterday.

The previous certificate was valid for both https://overpass-api.de and
https://*www*.overpass-api.de. The new certificate isn't valid for www.

This breaks clients that made calls to https://www.overpass-api.de and
generates obscure warnings which cause developer sadness.

Workaround: update clients to call https://overpass-api.de



https://github.com/drolbr/Overpass-API/issues/288




  • [overpass] Fwd: [drolbr/Overpass-API] Letsencrypt certificate not valid for www (#288), mmd, 06/16/2016

Archive powered by MHonArc 2.6.18.

Top of page